<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.sl.usermodel.TextParagraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.sl.usermodel.TextParagraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/TextParagraph.html"
               target="_top">Frames</a></li>
        <li><a href="TextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.sl.usermodel.TextParagraph" class="title">Uses of Interface<br>org.apache.poi.sl.usermodel.TextParagraph
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.extractor">org.apache.poi.sl.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span></code>
                                <div class="block">This class represents a run of text in a powerpoint document.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#getMetroShape--">getMetroShape</a></span>()</code>
                                <div class="block">Get alternative representation of text shape stored as metro blob
                                    escher property.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> declared as <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DrawTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#paragraph">paragraph</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawFreeformShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawFreeformShape.html#getShape--">getShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawTextShape.html#getShape--">getShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
                                    title="class in org.apache.poi.sl.draw">DrawTextParagraph</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.TextParagraph-">getDrawable</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html#DrawTextParagraph-org.apache.poi.sl.usermodel.TextParagraph-">DrawTextParagraph</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/sl/extractor/package-summary.html">org.apache.poi.sl.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/sl/extractor/package-summary.html">org.apache.poi.sl.extractor</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                    title="class in org.apache.poi.sl.extractor">SlideShowExtractor</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Common SlideShow extractor</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Interface and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Background.html"
                                    title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                    title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                    title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">A PowerPoint hyperlink</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Line.html"
                                    title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Interface for Lines ...</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                    title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">An shape which references an embedded OLE object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Common parent of Slides, Notes and Masters</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                    title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                    title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                    title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,T&gt;,T extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)</code>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                    be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-">create</a></span>(java.io.File&nbsp;file)</code>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-java.lang.String-">create</a></span>(java.io.File&nbsp;file,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-java.lang.String-boolean-">create</a></span>(java.io.File&nbsp;file,
                                java.lang.String&nbsp;password,
                                boolean&nbsp;readOnly)</code>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.InputStream-">create</a></span>(java.io.InputStream&nbsp;inp)</code>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given InputStream.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.InputStream-java.lang.String-">create</a></span>(java.io.InputStream&nbsp;inp,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given InputStream, which may be password protected.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends
                                <a href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                        href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs,
                                java.lang.String&nbsp;password)</code>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                    be password protected
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                   title="interface in org.apache.poi.sl.usermodel">TextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                title="interface in org.apache.poi.sl.usermodel">TextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a></span></code>
                                <div class="block">Represents a paragraph of text within the containing text body.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/TextParagraph.html"
               target="_top">Frames</a></li>
        <li><a href="TextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
